#!/usr/bin/perl5 -w

#mrtghost_total

#########################################################################
# 20 Oct 1999 - 10:50 Ver 2.2						#
# Written By Richard Mayhew - South Africa				#
# Email : netsaint@splash.co.za						#
# Copyright 1999 (c) Richard Mayhew					#
# Credits go to Ethan Galstad for coding NetSaint			#
# If any changes are made to this script, please mail me a copy of the	#
# changes :) netsaint@splash.co.za					#	
# This Script will obtain the total number of hosts up and down		#
# (excluding services of the servers) for MRTG				#
#									#
#########################################################################

#---------------------------------------------VARIABLES

#Location of GREP program (ie /bin/grep)
$greplocation = "/bin/grep";

#Location of NetSaint status.log Data (ie /usr/local/netsaint)
$statuslog = "/usr/local/netsaint/var/status.log";
#Location of UPTIME program (ie /usr/bin/uptime)
$time = `/usr/bin/uptime`;
#Location of HOSTNAME program (ie /bin/hostname)
$hostname = `/bin/hostname`;

#-----------------------------------------------PROGRAM


#Commands For Obtaining Data
$up = `$greplocation -c 'HOST' $statuslog | $greplocation -c 'UP' $statuslog`;
$recovery = `$greplocation -c 'HOST' $statuslog | $greplocation -c 'RECOVERY' $statuslog`;

$down = `$greplocation -c 'HOST' $statuslog | $greplocation -c 'DOWN' $statuslog`;
$unreachable = `$greplocation -c 'HOST' $statuslog | $greplocation -c 'UNREACHABLE;' $statuslog`;

#Adding DOWN and CRITICAL totals 
$totaldown = $down + $unreachable;
$totalup = $up + $recovery;

#Writing Data To Disk
print "$totalup\n";
print "$totaldown\n";
print "$time";
print "$hostname";

#The End :)
