#!/usr/bin/perl5 -w

#mrtgsvc_total

#########################################################################
# 20 Oct 1999 - 10:50 Ver 2.2						#
# Written By Richard Mayhew - South Africa				#
# Email : netsaint@splash.co.za						#
# Copyright 1999 (c) Richard Mayhew					#
# Credits go to Ethan Galstad for coding NetSaint			#
# If any changes are made to this script, please mail me a copy of the	#
# changes :) netsaint@splash.co.za					#	
# This Script will obtain the total number of services up and down for 	#
# MRTG									#
#									#
# Recommendation - MRTG Knowledge hence I dont support MRTG :)		#
#									#
# Comments / Additions - 1.0 = Ethan Galstad				#	
#########################################################################

#---------------------------------------------VARIABLES

#Location of GREP program (ie /bin/grep)
$greplocation = "/bin/grep";

#Location of NetSaint status.log Data (ie /usr/local/netsaint)
$statuslog = "/usr/local/netsaint/var/status.log";
#Location of UPTIME program (ie /usr/bin/uptime)
$time = `/usr/bin/uptime`;
#Location of HOSTNAME program (ie /bin/hostname)
$hostname = `/bin/hostname`;

#-----------------------------------------------PROGRAM


#Commands For Obtaining Data

$up = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';OK;'`;
$recovery = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';RECOVERY;'`;

$warning = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';WARNING;'`;
$unknown = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';UNKNOWN;'`;
$critical = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';CRITICAL;'`;
$hostdown = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';DOWN;'`;
$unreachable = `$greplocation 'SERVICE;' $statuslog | $greplocation -c ';UNREACHABLE;'`;

#Adding DOWN and CRITICAL totals 
$totaldown = $hostdown + $unknown + $critical + $unreachable + $warning;
$totalup = $up + $recovery;

#Writing Data To Disk
print "$totalup\n";
print "$totaldown\n";
print "$time";
print "$hostname";
#The End :)
