#!/usr/bin/perl5
# ------------------------------------------------------------------------------
# File Name:            graphline.cgi
# Author:               Richard Mayhew - South Africa
# Date:                 1999/09/28
# Version:              1.0
# Description:          This script will generate graphs
#                       for use in NetSaint Reports
#
# Email:                netsaint@splash.co.za
#
# ------------------------------------------------------------------------------
# Copyright 1999 (c) Richard Mayhew
# Credits go to Ethan Galstad for coding NetSaint
# If any changes are made to this script, please mail me a copy of the
# changes :)
# License GPL
# ------------------------------------------------------------------------------
# Date          Author          Reason
# ----          ------          ------
# 1999/09/28    RM              Creation
# -----------------------------------------------------------------[ Require ]--
require 5.004;
# --------------------------------------------------------------------[ Uses ]--
use strict;
# --------------------------------------------------------------[ Enviroment ]--
$ENV{PATH} = "/bin";
$ENV{BASH_ENV} = "";
$ENV{ENV} = "";
$|=1;
my $server = shift || &usage;
my $date = `/bin/date '+%B %Y'`;

my $top="Content-type: text/html\n\n<HTML>\n<HEAD>\n<TITLE>NetSaint Server Graph For $server</TITLE>\n</HEAD>\n<BODY BACKGROUND=\"/images/backg.jpg\" BGCOLOR=\"#e8e8ff\">";

MAIN: 
{
print "$top\n";
print "<CENTER><h2><U>Total Down Time in Minutes for $server for $date</h2></U><br>\n";
`/usr/local/netsaint/report/check.pl`;
`/usr/local/netsaint/report/graphline.pl $server`;
print "<IMG SRC=\"/reports\/graphs\/$server.png\">";
}

sub usage
{
print "$top\n";
print "Usage :- graphline.cgi <GRAPHNAME>\n";
exit;
}
