#!/usr/bin/perl5
# ------------------------------------------------------------------------------
# File Name:            webpageold.cgi
# Author:               Richard Mayhew - South Africa
# Date:                 1999/09/28
# Version:              1.0
# Description:          This script will generate menus
#                       for use in NetSaint Reports
#
# Email:                netsaint@splash.co.za
#
# ------------------------------------------------------------------------------
# Copyright 1999 (c) Richard Mayhew
# Credits go to Ethan Galstad for coding NetSaint
# If any changes are made to this script, please mail me a copy of the
# changes :)
# License GPL
# ------------------------------------------------------------------------------
# Date          Author          Reason
# ----          ------          ------
# 1999/09/28    RM              Creation
# -----------------------------------------------------------------[ Require ]--
require 5.004;
# --------------------------------------------------------------------[ Uses ]--
use strict;
# --------------------------------------------------------------[ Enviroment ]--
$ENV{PATH} = "/bin";
$ENV{BASH_ENV} = "";
$ENV{ENV} = "";
$|=1;
my $date = `/bin/date --date '1 month ago' '+%B %Y'`;
my $top="Content-type: text/html\n\n<HTML>\n<HEAD>\n<TITLE>NetSaint Server Graph For $data</TITLE>\n</HEAD>\n<BODY BACKGROUND=\"/images/backg.jpg\" BGCOLOR=\"#e8e8ff\">";
my $groupfile = "/usr/local/netsaint/report/group.cfg";
my $serverfile = "/usr/local/netsaint/report/host.cfg";
my $servicefile = "/usr/local/netsaint/report/service.cfg";
print "$top\n";
my $in_name = shift || &group; 

if ($in_name =~ /Group/) 
{	
&servers($in_name);
}

elsif ($in_name =~ /Services/)
{
&services($in_name);
}

elsif ($in_name =~ /ALL/)
{
&all();
}
print "<CENTER></TABLE>\n";
print "<A HREF=\"/cgi-bin/netsaint/webpageold.cgi?ALL\"><B>All Servers</B></A>\n";
print "<A HREF=\"/cgi-bin/netsaint/webpageold.cgi\"><B>Home Menu</B></A>\n";
print "</BODY></HTML>\n";



sub group
{
        my $grp_file = "";
        my @group_data = ();
        my $group = "";
        my $hosts = "";
        my @host_data = ();
	my $grop_name = "";
	print "<CENTER><h2><U>Make Your Selection ($date)</h2></U><br>\n";
	print "<TABLE BGCOLOR=\"#FFFFFF\" BORDER=\"1\" CELLSPACING=\"1\" CELLPADDING=\"1\" BORDERCOLORLIGHT=\"#FFCCFF\" BORDERCOLORDARK=\"#000000\">\n";
	print "<TR><TD BGCOLOR=\"LIGHTBLUE\">Server Name</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Text</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph</TD></TR>";

        open (GLOG_FILE, "$groupfile") or die "Error Opening $groupfile File!\n";
        while (<GLOG_FILE>) {
                $grp_file .= $_;
        }
        close(GLOG_FILE);

        @group_data = split(/\n/, $grp_file);

        foreach $group (@group_data) {

                ($group_name,$hosts) = split(/\;/,$group);
                @host_data = split(/\,/,$hosts);
		print "<TR><TD><A HREF=\"webpageold.cgi?$group_name-Group\">$group_name</A></TD>\n<TD><A HREF=\"tableold.cgi?$group_name-Group\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"></A></TD>\n<TD><A HREF=\"graphbarold.cgi?$group_name-Group\"><img src=\"/images/bar.jpg\" BORDER=\"0\" alt=\"Bar\"></A></TD</TR>";

		}

}
sub servers
{
        my $grp_file = "";
        my @group_data = ();
        my $group = "";
	my $host = "";
        my $hosts = "";
        my @host_data = ();
	my $group_name = "";

	print "<CENTER><h2><U>Make Your Selection for $in_name ($date)</h2></U><br>\n";
	print "<TABLE BGCOLOR=\"#FFFFFF\" BORDER=\"1\" CELLSPACING=\"1\" CELLPADDING=\"1\" BORDERCOLORLIGHT=\"#FFCCFF\" BORDERCOLORDARK=\"#000000\">\n";
	print "<TR><TD BGCOLOR=\"LIGHTBLUE\">Server Name</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Text Yearly</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph Yearly</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph Services</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Table Services</TD></TR>";

        open (GLOG_FILE, "$groupfile") or die "Error Opening $groupfile File!\n";
        while (<GLOG_FILE>) {
                $grp_file .= $_;
        }
        close(GLOG_FILE);

        @group_data = split(/\n/, $grp_file);

        foreach $group (@group_data) {
                ($group_name,$hosts) = split(/\;/,$group);
                @host_data = split(/\,/,$hosts);
if ( $in_name eq "$group_name-Group" ) {
                
        foreach $host (sort @host_data) {
print "<TR><TD><A HREF=\"webpageold.cgi?$host-Services\">$host</A></TD>\n<TD><A HREF=\"tableold.cgi?$host-Yearly\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"><img src=\"/images/yearly.jpg\" BORDER=\"0\" alt=\"Yearly\"></A></TD>\n<TD><A HREF=\"graphlineold.cgi?$host-Yearly\"><img src=\"/images/line.jpg\" BORDER=\"0\" alt=\"Line\"><img src=\"/images/yearly.jpg\" BORDER=\"0\" alt=\"Yearly\"></A></TD>\n<TD><A HREF=\"graphbarold.cgi?$host-Services\"><img src=\"/images/bar.jpg\" BORDER=\"0\" alt=\"Bar\"><img src=\"/images/services.jpg\" BORDER=\"0\" alt=\"Services\"></A></TD>\n<TD><A HREF=\"tableold.cgi?$host-Services\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"><img src=\"/images/services.jpg\" BORDER=\"0\" alt=\"Services\"></A></TD></TR>";                                
}
                        }
                }
}

sub services
{
        my $grp_file = "";
        my @group_data = ();
        my $group = "";
	my $hostname = "";
        my $services = "";
        my @services_data = ();
        print "<CENTER><h2><U>Make Your Selection for $in_name ($date)</h2></U><br>\n";
        print "<TABLE BGCOLOR=\"#FFFFFF\" BORDER=\"1\" CELLSPACING=\"1\" CELLPADDING=\"1\" BORDERCOLORLIGHT=\"#FFCCFF\" BORDERCOLORDARK=\"#000000\">\n";
        print "<TR><TD BGCOLOR=\"LIGHTBLUE\">Service Name</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Text Yearly</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph Yearly</TD></TR>";

        open (GLOG_FILE, "$servicefile") or die "Error Opening $servicefile File!\n";
        while (<GLOG_FILE>) {
                $grp_file .= $_;
        }
        close(GLOG_FILE);

        @group_data = split(/\n/, $grp_file);

        foreach $group (@group_data) {

                ($hostname,$serv) = split(/\;/,$group);
                @services_data = split(/\,/,$serv);
if ( $in_name eq "$hostname-Services" ) {
foreach $service (sort @services_data) {

                print "<TR><TD>$service</TD>\n<TD><A HREF=\"tableold.cgi?$hostname-$service-Yearly\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"></A></TD>\n<TD><A HREF=\"graphlineold.cgi?$hostname-$service-Yearly\"><img src=\"/images/line.jpg\" BORDER=\"0\" alt=\"Line\"></A></TD</TR>";
                }
	}

	}
}


sub all
{
        my $grp_file = "";
        my @group_data = ();
        my $group = "";
        my $hosts = "";
        my @host_data = ();
	my $group_name = "";
	my $host = "";
        print "<CENTER><h2><U>Make Your Selection for $in_name ($date)</h2></U><br>\n";
        print "<TABLE BGCOLOR=\"#FFFFFF\" BORDER=\"1\" CELLSPACING=\"1\" CELLPADDING=\"1\" BORDERCOLORLIGHT=\"#FFCCFF\" BORDERCOLORDARK=\"#000000\">\n";
        print "<TR><TD BGCOLOR=\"LIGHTBLUE\">Server Name</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Text Yearly</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph Yearly</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Graph Services</TD>\n<TD BGCOLOR=\"LIGHTBLUE\">Table Services</TD></TR>";

        open (GLOG_FILE, "$groupfile") or die "Error Opening $groupfile File!\n";
        while (<GLOG_FILE>) {
                $grp_file .= $_;
        }
        close(GLOG_FILE);

        @group_data = split(/\n/, $grp_file);

        foreach $group (@group_data) {
                ($group_name,$hosts) = split(/\;/,$group);
                @host_data = split(/\,/,$hosts);

        foreach $host (sort @host_data) {
print "<TR><TD><A HREF=\"webpageold.cgi?$host-Services\">$host</A></TD>\n<TD><A HREF=\"tableold.cgi?$host-Yearly\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"><img src=\"/images/yearly.jpg\" BORDER=\"0\" alt=\"Yearly\"></A></TD>\n<TD><A HREF=\"graphlineold.cgi?$host-Yearly\"><img src=\"/images/line.jpg\" BORDER=\"0\" alt=\"Line\"><img src=\"/images/yearly.jpg\" BORDER=\"0\" alt=\"Yearly\"></A></TD>\n<TD><A HREF=\"graphbarold.cgi?$host-Services\"><img src=\"/images/bar.jpg\" BORDER=\"0\" alt=\"Bar\"><img src=\"/images/services.jpg\" BORDER=\"0\" alt=\"Services\"></A></TD>\n<TD><A HREF=\"tableold.cgi?$host-Services\"><img src=\"/images/table.jpg\" BORDER=\"0\" alt=\"Text\"><img src=\"/images/services.jpg\" BORDER=\"0\" alt=\"Services\"></A></TD></TR>";                  
}
                        }
                }

