#!/bin/sh
echo "Installing NetSaint Reports"
echo "Creating Directories"
mkdir /usr/local/netsaint/report
mkdir /usr/local/netsaint/report/database
mkdir /usr/local/netsaint/report/databaseold
mkdir /usr/local/netsaint/share/reports
mkdir /usr/local/netsaint/share/reports/graphs
mkdir /usr/local/netsaint/share/reports/graphsold
mkdir /usr/local/netsaint/share/docs
mkdir /usr/local/netsaint/share/mrtg
mkdir /usr/local/netsaint/mrtg

echo "Copying Data"
cp -f sbin/* /usr/local/netsaint/sbin
cp -f share/images/* /usr/local/netsaint/share/images
cp -f share/reports/* /usr/local/netsaint/share/reports
cp -f share/reports/docs/* /usr/local/netsaint/share/reports/docs
cp -f share/reports/mrtg/* /usr/local/netsaint/share/reports/mrtg
cp -f report/* /usr/local/netsaint/report
cp -f mrtg/* /usr/local/netsaint/mrtg

echo "Assiging Correct Rights"
chmod +x /usr/local/netsaint/sbin/*.cgi
chmod +x /usr/local/netsaint/report/*.pl

echo "Assiging Owenership Rights"
chmod -R g+wr /usr/local/netsaint/report
chmod -R g+wr /usr/local/netsaint/share/reports/graphs
chmod -R g+wr /usr/local/netsaint/share/reports/graphsold
chmod -R g+wr /usr/local/netsaint/report/database
chmod -R g+wr /usr/local/netsaint/report/databaseold

chown -R netsaint:nobody /usr/local/netsaint
chown -R netsaint:nobody /usr/local/netsaint/share/reports/graphs
chown -R netsaint:nobody /usr/local/netsaint/share/reports/graphsold
